#!/bin/bash

# 先cd到该sh文件目录下
cd "$(dirname "$0")"

# 尝试获取sudo权限
sudo -v
if [ $? -ne 0 ]; then
    echo "获取sudo权限失败，请确保你有足够的权限。"
    exit 1
fi

# 判断是否为mac系统
if [[ "$OSTYPE" == "darwin"* ]]; then
    echo "当前系统为 macOS"

    # 判断是否有 Homebrew
    if ! command -v brew &> /dev/null; then
        echo "Homebrew 未安装，正在下载..."
        # 使用 curl 下载并安装 Homebrew
        sudo /bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
    else
        echo "Homebrew 已安装"
        
        # 判断是否已经安装 adb
        if ! command -v adb &> /dev/null; then
            echo "android-platform-tools 未安装，正在安装..."
            sudo brew install android-platform-tools
        else
            echo "android-platform-tools 已安装"
        fi

        # 执行该目录下的 install-mac 文件
        if [ -f "./install-mac" ]; then
            echo "正在执行 install-mac 文件..."
            sudo chmod +x ./install-mac  # 确保文件可执行
            echo "切记不要更新软件，否则会更新到windows版本！！"
            echo "软件可能不会自动清屏，且安装过程需要手动输入或复制命令！"
            sudo ./install-mac
        else
            echo "未找到 install-mac 文件"
        fi
    fi
    
else
    echo "当前系统不是 macOS"
fi
